summaryrefslogtreecommitdiffstats
path: root/system/freeswitch/freeswitch.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/freeswitch/freeswitch.SlackBuild')
-rw-r--r--system/freeswitch/freeswitch.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/system/freeswitch/freeswitch.SlackBuild b/system/freeswitch/freeswitch.SlackBuild
index 4a1e6cb47a..753ed708ad 100644
--- a/system/freeswitch/freeswitch.SlackBuild
+++ b/system/freeswitch/freeswitch.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for FreeSWITCH
-# Copyright 2013, mario <mario@slackverse.org>
+# Copyright 2013, 2015 Mario Preksavec, Zagreb, HR
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -68,8 +68,6 @@ case "$PGSQL" in
*) PGSQL="--without-pgsql --disable-core-pgsql-support" ;;
esac
-set -e
-
# Bail if user or group isn't valid on your system
if ! grep ^freeswitch: /etc/passwd 2>&1 > /dev/null; then
@@ -96,6 +94,8 @@ EOF
exit
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -104,10 +104,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Prepare some things
./rebootstrap.sh